Home

Rigify
Closed, ArchivedPublic

Description

Project: Blender Extensions
Tracker: Py Scripts Release
Blender: 2.64
Script name: Rigify
Wiki page: http://wiki.blender.org/index.php/Extensions:2.5/Py/Scripts/Rigging/Rigify
Author(s): Nathan Vegdahl
Category: Rigging
SVN Download: https://svn.blender.org/svnroot/bf-extensions/trunk/py/scripts/addons/rigify/
Status: Open

(to be written)
mindrones set Type to Other.Via Old WorldJan 8 2011, 7:36 PM
wiki page missing a manual
whimsycoll (Whimsy Collective) added a comment.Via Old WorldJan 23 2011, 6:52 AM
Noticed the following:

Blender 2.56 buildings add-ons [checked]

Shift + A > Armature > Meta-Rig [Menu List] Comments: Missing this menu option

Object mode:
Properties > Object Data (button)
Rigify Buttons > Generate Comments: Cool!

Tab
enter Edit Mode:
Properties > Object Data (button)
Rigify Buttons > [List of Meta-Rigs] Add sample
Comments: Noticed it's missing a few samples as in Blender Beta 2.54 seems to a lot more to list. Could it be merged?

Blender 2.54 has this list


whimsycoll (Whimsy Collective) added a comment.Via Old WorldJan 23 2011, 8:10 AM
Oops, that comment was for Rigify version 0.5. The older one is great.
balezin (Igor Balezin) added a comment.Via Old WorldFeb 8 2011, 9:44 AM
How I can to connect this module (script Rigify) to Blender? In the user-options menu (for Ctrl+Alt+U) this module is missing and in the menu Shift+A->Armature is missing too. I tested on the official version 2.55 and 2.56 of Blender for Linux x64 with buildin Rigify and with Rigify from SVN repozitory (ver. 1554). MENU IS MISSING :-(
filiciss (Filiciss Muhgue) added a comment.Via Old WorldFeb 8 2011, 10:37 AM
fix for commit 34647.
http://www.pasteall.org/18963/diff
An error while generating the rig. (Blender versions r34784 for Windows 64 bit and r34764 for Windows 32 bit). The screenshot with the error report is in attachment.
cessen (Nathan Vegdahl) added a comment.Via Old WorldFeb 21 2011, 10:02 PM
Sorry for the long delay! Life was taking up my time. ;-)
Everything should be fixed now, as of addons commit 1636 and blender commit 35040

Still need to make the wiki page, though.
meta-androcto (Brendon Murphy) added a comment.Via Old WorldMay 22 2011, 1:52 AM
Hi!
Since your script is now in bf-extensions\' svn (contrib|trunk) we have deleted the current attachments to avoid that end-users could reach this page and get the wrong version of your script.
Note that your script may have api changes or small maintenence changes applied in SVN.
Please retrieve your script from SVN before updating SVN to avoid mis-versioned scripts.
Thanks!
conicer (Steve Yen) added a comment.Via Old WorldMay 31 2011, 7:14 AM
Rigify throws an error while generating on the default human rig (Using blender r37033 with addons r1986 on Ubuntu 11.04 64 bit.):

Fetch rig.
Clear rig animation data.
Duplicate rig: 0.012
Make list of org bones: 0.003
Create root bone: 0.002
Rigify: failed to generate rig.
Traceback (most recent call last):
File "/home/conicer/Packages/blender-trunk/install/linux2/2.57/scripts/addons/rigify/ui.py", line 205, in execute
generate.generate_rig(context, context.object)
File "/home/conicer/Packages/blender-trunk/install/linux2/2.57/scripts/addons/rigify/generate.py", line 223, in generate_rig
raise e
File "/home/conicer/Packages/blender-trunk/install/linux2/2.57/scripts/addons/rigify/generate.py", line 200, in generate_rig
rigs += get_bone_rigs(obj, bone)
File "/home/conicer/Packages/blender-trunk/install/linux2/2.57/scripts/addons/rigify/generate.py", line 327, in get_bone_rigs
rig = get_rig_type(rig_type).Rig(obj, bone_name, params)
File "/home/conicer/Packages/blender-trunk/install/linux2/2.57/scripts/addons/rigify/rigs/basic/copy.py", line 39, in __init__
self.make_control = params.make_control
AttributeError: 'NoneType' object has no attribute 'make_control'

location:<unknown location>:-1

location:<unknown location>:-1
cessen (Nathan Vegdahl) added a comment.Via Old WorldJun 1 2011, 2:18 AM
Steve: fixed. Thanks for the report. In the future, please file a new report instead of commenting on an existing report, so that I can close it when fixed.
crouch (Bart Crouch) added a comment.Via Old WorldAug 7 2011, 5:49 PM
[canned response]

Hi, can you prepare a wiki page with a bit of a manual about how to
use this?

See
http://wiki.blender.org/index.php/Dev:2.5/Py/Scripts/Guidelines/Addons

Thanks!
jefrau (Jefferson Rausseo) added a comment.Via Old WorldSep 20 2011, 12:00 AM
Error in "Snap IK->FK (thigh.L)" :

Traceback (most recent call last):
File "/home/.../rig_ui.py", line 430, in execute
File "/home/.../rig_ui.py", line 301, in ik2fk_leg
File "/home/.../rig_ui.py", line 66, in set_pose_translation
ValueError: (Vector * Quat) is now removed, reverse the order (promoted to an Error for Debug builds)

location:<unknown location>

Blender Trunk 40372
Rigify 2335
Python 3.2
Ubuntu 11.04 32bit
rking (Ryan King) added a comment.Via Old WorldJan 26 2012, 8:16 PM
So, I used the Human Meta-rig to start, and then I made a bunch of little changes to the Armature as I went along. One of these changes was I unchecked "connected" for the toe bones.

As you might already know, this causes Rigify to fail. And it fails with a very generic message.

So, here is a minor patch to remedy that and make the error message more explanatory. I could have done more, but I didn't want to venture into parts of the code that I felt unconfident in my ability to test. This patch should be A-OK.

--- rigify/rigs/biped/leg/deform.py-orig 2012-01-26 11:25:00.899090800 -0700
+++ rigify/rigs/biped/leg/deform.py 2012-01-26 12:04:17.066590500 -0700
@@ -89,20 +89,24 @@
leg_bones = [bone] + connected_children_names(self.obj, bone)[:2]

if len(leg_bones) != 2:
- raise MetarigError("RIGIFY ERROR: Bone '%s': incorrect bone configuration for rig type" % (strip_org(bone)))
+ raise MetarigError("RIGIFY ERROR: Bone '%s': incorrect bone configuration for rig type -- leg bones != 2" % (strip_org(bone)))
+
+ shin = leg_bones[1]

# Get the foot and heel
foot = None
heel = None
- for b in self.obj.data.bones[leg_bones[1]].children:
+ for b in self.obj.data.bones[shin].children:
if b.use_connect == True:
if len(b.children) >= 1 and has_connected_children(b):
foot = b.name
else:
heel = b.name

- if foot is None or heel is None:
- raise MetarigError("RIGIFY ERROR: Bone '%s': incorrect bone configuration for rig type" % (strip_org(bone)))
+ if foot is None:
+ raise MetarigError("RIGIFY ERROR: Bone '%s': incorrect bone configuration for rig type -- could not find foot bone (that is, a bone with >1 children connected) attached to bone '%s'" % (strip_org(bone), strip_org(shin)))
+ if heel is None:
+ raise MetarigError("RIGIFY ERROR: Bone '%s': incorrect bone configuration for rig type -- could not find heel bone (that is, a bone with no childrenconnected) attached to bone '%s'" % (strip_org(bone), strip_org(shin)))

# Get the toe
toe = None
@@ -111,7 +115,7 @@
toe = b.name

if toe is None:
- raise MetarigError("RIGIFY ERROR: Bone '%s': incorrect bone configuration for rig type" % (strip_org(bone)))
+ raise MetarigError("RIGIFY ERROR: Bone '%s': incorrect bone configuration for rig type -- toe is None" % (strip_org(bone)))

self.org_bones = leg_bones + [foot, toe, heel]


cessen (Nathan Vegdahl) added a comment.Via Old WorldFeb 18 2012, 1:24 AM
Thanks Ryan!
I'm super busy right now working on my rigging training DVD, but I'll take a look at the patch (a quick glance says it looks good) when I'm finished.
meta-androcto (Brendon Murphy) added a comment.Via Old WorldFeb 21 2012, 10:16 PM
Hi,
Due to changes to the api including the merging of bmesh, several addons are outdated.
Please, if you are the author of an addon check your script with blender revision 44256 or newer.
That is builds made After blender 2.62 official release.
I would ask that updates be made to your addon before the Blender 2.63 release.
6-8 weeks away.
This allows time for the api to become more exposed & bmesh to stablize furthur.
If you need help, drop into irc freenode #blenderpython or #blendercoders & feel welcome to ask questions.
At the time of 2.63 release, scripts that are not repaired or in active developement will have their tracker page marked "Closed"
this will not affect your links to the tracker, similar to closing scripts in 2.49b, the page will be still availible & can be re-opened.

Thanks for your understanding & patience during these Exciting Times.
Brendon.
cessen (Nathan Vegdahl) added a comment.Via Old WorldMar 15 2012, 2:03 AM
Ryan,
I've applied your patch with one minor cosmetic change. Thanks again!
sazerac (Jack Simpson) added a comment.Via Old WorldJul 12 2012, 12:57 PM
I was playing around with Rigify, and I found a little bug:
In the create sample method in ./rigs/basic/copy.py, line 124 reads:
pbone.rigify_type = 'simple.bone'
which refers to a non-existent rigify type, if I understand right, it should read:
pbone.rigify_type = 'basic.copy'
irie (Shinsuke Irie) added a comment.Via Old WorldJan 1 2013, 9:09 AM
Attached two patches:

1) rigify_fix_missing_custom_shape.patch

This patch fixes a bug that custom shapes for middle finger cannot be set.
The limitation of object name length is max 63 characters now.

2) rigify_fix_loading_rig_modules.patch

This patch fixes a bug that rig modules of 'arm' and 'leg' cannot be loaded failing as follows:

Rigify: No module named 'rigify.rigs.biped.arm.biped'
Rigify: No module named 'rigify.rigs.biped.leg.biped'

Blender r53476 (addons r4115)
Ubuntu 12.10
Python 3.3.0
None (Nobody) added a comment.Via Old WorldJan 8 2011, 7:36 PM

This task was automatically closed as archived as part of migration, because it was determined to be no longer active.

The authoritative list of addons is on the wiki, we no longer have a report for each addon to track bugs and updates. Bugs can be reported individually and assigned to the addon developers. See the Addons project page for more information on the workflow.

None (Nobody) closed this task as "Archived".Via Old WorldJan 8 2011, 7:36 PM

Add Comment